# NM_Publish_Interaction_Class Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Publish_Interaction_Class:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_Publish_Interaction_Class ()
virtual | ~NM_Publish_Interaction_Class ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
const InteractionClassHandle | getInteractionClassHandle () const
void | setInteractionClassHandle (InteractionClassHandle newInteractionClass)

## Detailed Description

Definition at line 741 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Reimplemented in NM_Unpublish_Interaction_Class, NM_Subscribe_Interaction_Class, NM_Unsubscribe_Interaction_Class, NM_Turn_Interactions_On, and NM_Turn_Interactions_Off.

Definition at line 743 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Publish_Interaction_Class | ( |  | ) |

Definition at line 981 of file NM_Classes.cc.

References NetworkMessage::name, NetworkMessage::PUBLISH_INTERACTION_CLASS, and NetworkMessage::type.

~NM_Publish_Interaction_Class | ( |  | ) | `[virtual]`

Definition at line 986 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Definition at line 988 of file NM_Classes.cc.

References NetworkMessage::interactionClass, and NetworkMessage::serialize().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Definition at line 994 of file NM_Classes.cc.

References NetworkMessage::deserialize(), and NetworkMessage::interactionClass.

Here is the call graph for this function:

const InteractionClassHandle getInteractionClassHandle | ( |  | ) | const`[inline]`

Definition at line 749 of file NM_Classes.hh.

void setInteractionClassHandle | ( | InteractionClassHandle | newInteractionClass | ) | `[inline]`

Definition at line 750 of file NM_Classes.hh.

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc